using UnityEngine;
using System.Collections;

public enum WaveColor { black, red, green, blue };

public class ControlColor : MonoBehaviour
{
    public static Color black = new Color(0f, 0f, 0f);
    public static Color red = new Color(1f, 0f, 0f);
    public static Color green = new Color(0f, 1f, 0f);
    public static Color blue = new Color(0f, 0f, 1f);

    public static Color GetColor(WaveColor c)
    {
        switch(c)
        {
            default:
                return black;
            case WaveColor.black:
                return black;
            case WaveColor.red:
                return red;
            case WaveColor.green:
                return green;
            case WaveColor.blue:
                return blue;
        }
    }
}
